declare module BA.Ui.Grid {
    class GridTools {
        static ManuallySelectedRowItems: GridRowItem[];
        static ManuallyDeselectedRowItems: GridRowItem[];
        static IsCalendar: boolean;
        static IsGridViewOrCalendar(): boolean;
        static GetDataSourcesAsArray(): string[];
        static GetDataSourcesAsString(): string;
        static GetGridGuid(): string;
        static GetSelectedRowCount(): number;
        static GetSelectedKeysOnPage(): Classes.Guid[] | string[];
        static GetDeleteItemUrl(): string;
        static Refresh(): void;
        static UpdateDetailGridHeights(s: ASPxClientControl, e: ASPxClientEventArgs): void;
        static UpdateDetailGridHeight(s: any, e: any): void;
        static UpdateRibbon(containedTypes: string, grid: BAClientGridView, ev: ASPxClientEventArgs): void;
        static UpdateItemVisibility(grid: BAClientGridView, ev: ASPxClientEventArgs): void;
        static IsDrillDownAllowed(grid: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): boolean;
        static DrillDown(grid: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        /**
         * Setting breadcrumbs for a grid
         * breadcrumb collection needs to be set on the grid cpBreadCrumbCollectionJson
         * @param grid
         */
        static SetBreadCrumbsForGrid(grid: BAClientGridView): void;
        static HightlightLastFixedColumn(): void;
        static EnableTokensInColumn(): void;
        static OpenRecordByIndex(grid: BAClientGridView, index: number): void;
        static OpenRecordByConfiguration(grid: BAClientGridView, guid: string, formGuid: string, tempKey?: Classes.Guid, cacheId?: Classes.Guid): void;
        static HandleRowSelection(TypeAndOid: string[], selected: boolean): void;
        static SelectItem(TypeAndOid: string[]): void;
        static DeselectItem(TypeAndOid: string[]): void;
        static ResetManualSelection(): void;
        static ResetSelections(grid: ASPxClientGridView): void;
        static GetFilterKeysArray(): string[];
        static GetFilterKeys(): string;
        static GetFilterKeysOrmTypes(): string;
        static GetSingleSelectedRowItemType(): string;
        static GetSingleSelectedRowItemOid(): string;
        static GetAllSelectedTypes(): string[];
        private static IndexOfRowItemInArray;
    }
}
